#include <tiny2313.h>

// Alphanumeric LCD Module functions
#asm
   .equ __lcd_port=0x18 ;PORTB
#endasm
#include <lcd.h>
#include <delay.h>
 
void main(void)
{
// Crystal Oscillator division factor: 1
#pragma optsize-
CLKPR=0x80;
CLKPR=0x00;
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif

PORTB=0x00;
DDRB=0x00;
 
// LCD module initialization
lcd_init(8);

while (1)
      {
      lcd_clear();
      delay_ms(100);   
      lcd_gotoxy(1,0);
      lcd_putsf("0");
      lcd_gotoxy(0,1);
      lcd_putsf("Warning!");
      delay_ms(1000);
      };
}
